<?php
// vim: set expandtab tabstop=4 shiftwidth=4 foldmethod=marker:
/**
 * Objeto asociado a una tabla de la base de datos.
 * Parcialmente generado por DB_DataObject.
 *
 * PHP version 5
 *
 * @category  SIVeL
 * @package   SIVeL
 * @author    Vladimir Támara <vtamara@pasosdeJesus.org>
 * @copyright 2004 Dominio público. Sin garantías.
 * @license   http://creativecommons.org/licenses/publicdomain/ Dominio Público. Sin garantías.
 * @version   $Id: Frontera_caso.php,v 1.21 2009/05/03 05:16:36 vtamara Exp $
 * @link      http://sivel.sf.net
 */

/**
 * Definicion para la tabla frontera_caso.
 */
require_once 'DB/DataObject.php';

/**
 * Definicion para la tabla frontera_caso.
 * Ver documentación de DataObjects_Caso.
 *
 * @category SIVeL
 * @package  SIVeL
 * @author   Vladimir Támara <vtamara@pasosdeJesus.org>
 * @license  http://creativecommons.org/licenses/publicdomain/ Dominio Público.
 * @link     http://sivel.sf.net/tec
 * @see      DataObjects_Caso
 */
class DataObjects_Frontera_caso extends DB_DataObject 
{
    // START_AUTOCODE
    /* the code below is auto generated do not remove the above tag */

    var $__table = 'frontera_caso';                   // table name
    var $id_frontera;                     // int4(4)  multiple_key
    var $id_caso;                         // int4(4)  multiple_key

    /**
     * ZE2 compatibility trick
     *
     * @return copia del objeto
     */
    function __clone() 
    {
        return $this;
    }

    /**
     * Static get
     *
     * @param mixed $k Llave
     * @param mixed $v Valor
     *
     * @return Registro cuya llave sea el valor.
     */
    function staticGet($k, $v = null) 
    {
        return DB_DataObject::staticGet('DataObjects_Frontera_caso', $k, $v);
    }

    /* the code above is auto generated do not remove the tag below */
    // END_AUTOCODE

    var $fb_preDefOrder = array('id_frontera');
    var $fb_fieldsToRender = array('id_frontera');
//    var $fb_hidePrimaryKey=true;
    var $fb_addFormHeader = false;
    var $fb_excludeFromAutoRules = array('id_frontera');
    var $fb_fieldLabels = array(
            'id_frontera' => 'Frontera');


    /**
     * Prepara antes de generar formulario.
     *
     * @param object &$formbuild Generador DataObject_FormBuilder
     *
     * @return void
     */
    function preGenerateForm(&$formbuild)
    {
        $this->fb_preDefElements = array('id_caso' =>
                    HTML_QuickForm::createElement('hidden', 'id_caso'));
    }

    /**
     * Ajusta formulario generado.
     *
     * @param object &$form      Formulario HTML_QuickForm
     * @param object &$formbuild Generador DataObject_FormBuilder
     *
     * @return void
     */
    function postGenerateForm(&$form, &$formbuild)
    {
        $sel =& $form->getElement('id_frontera');
        if (isset($sel) && !PEAR::isError($sel) && 
            $sel->getType() == 'select') {
            $sel->setSize('5');
            $sel->setMultiple(true); 
        }
/*        $form->removeElement('id_caso', false);*/
        unset($form->_rules['id_frontera']);
    }

}

?>
